io.undertow.server.handlers.form

## Class FormData.FileItem

- java.lang.Object
- - io.undertow.server.handlers.form.FormData.FileItem

Enclosing class:
  FormData

    public static class FormData.FileItem
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FileItem(byte[] content)`
`FileItem(Path file)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `delete()`
`Path` `getFile()`
`long` `getFileSize()`
`InputStream` `getInputStream()`
`boolean` `isInMemory()`
`void` `write(Path target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileItem

    public FileItem(Path file)

#### FileItem

    public FileItem(byte[] content)

### Method Detail

#### isInMemory

    public boolean isInMemory()

#### getFile

    public Path getFile()

#### getFileSize

    public long getFileSize()
                     throws IOException

Throws:
  `IOException`

#### getInputStream

    public InputStream getInputStream()
                               throws IOException

Throws:
  `IOException`

#### delete

    public void delete()
                throws IOException

Throws:
  `IOException`

#### write

    public void write(Path target)
               throws IOException

Throws:
  `IOException`